def sum_naturals(n):
	""" Sum the first n natural numbers
	>>> sum_naturals(5)
	15
	"""
	return summation(n, identity)	

def sum_cubes(n):
	""" Sum the first n cubes of natural numbers
	>>> sum_cubes(5)
	225
	"""
	return summation(n, cube)


def identity(k):
	return k

def cube(k):
	return pow(k, 3)

def summation(n, term):
	""" Sum the first n terms of a sequence
	>>> summation(5, cube)
	225
	>>> summation(5, identity)
	15
	"""
	total, k = 0, 1
	while k <= n:
		total, k = total + term(k), k + 1
	return total
